eventselection_file: 
  process:
    process_type: interpolated-script-cmd
    script: |
      source /home/atlas/release_setup.sh 
      source /code/src/build/x86*/setup.sh 
      cd run
      python ../scripts/ModConfig.py -i ../source/InSituJES/share/configFile -m {configMod}
      cp tempModConfig.txt ../source/InSituJES/share/configFile
      echo "{SERVICE_PASS}" | kinit {CERN_USER}@CERN.CH
      RunInSituJES --config {configFile} --inputFile {inputFile} --outputDir {outputDir}
  publisher:
    publisher_type: interpolated-pub
    publish:
      histDir: '{outputDir}'
    glob: true
  environment:
    environment_type: docker-encapsulated
    image: gitlab-registry.cern.ch/jesjer-parent/jesjer-insitu/mpf
    imagetag: r21-c1383833
    
eventselection_list: 
  process:
    process_type: interpolated-script-cmd
    script: |
      source /home/atlas/release_setup.sh 
      source /code/src/build/x86*/setup.sh 
      cd run
      python ../scripts/ModConfig.py -i ../source/InSituJES/share/configFile -m {configMod}
      cp tempModConfig.txt ../source/InSituJES/share/configFile
      echo "{SERVICE_PASS}" | kinit {CERN_USER}@CERN.CH
      RunInSituJES --config {configFile} --inputList {inputList} --outputDir output
      cp output/hist-sample.root {stepdir}/{sampleName}.root
  publisher:
    publisher_type: interpolated-pub
    publish:
      histFile: '{stepdir}/{sampleName}.root'
    glob: true
  environment:
    environment_type: docker-encapsulated
    image: gitlab-registry.cern.ch/jesjer-parent/jesjer-insitu/mpf
    imagetag: r21-c1383833

merge:
  process:
    process_type: interpolated-script-cmd
    script: |
      pwd
      source /home/atlas/release_setup.sh 
      ls
      hadd {outputFile} {inputFiles}
  publisher:
    publisher_type: interpolated-pub
    publish:
      mergedFile: '{outputFile}'
    glob: true
  environment:
    environment_type: docker-encapsulated
    image: gitlab-registry.cern.ch/jesjer-parent/jesjer-insitu/mpf
    imagetag: r21-c1383833

validate:
  process:
    process_type: interpolated-script-cmd
    script: |
      pwd
      source /home/atlas/release_setup.sh 
      ls
      python scripts/DrawHist.py -i {mergedFile} -p hJetPT -o {outputPlot}
  publisher:
    publisher_type: interpolated-pub
    publish:
      plotFile: '{outputPlot}'
    glob: true
  environment:
    environment_type: docker-encapsulated
    image: gitlab-registry.cern.ch/jesjer-parent/jesjer-insitu/mpf
    imagetag: r21-c1383833
    
        
